[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComboEx' (#lcl)

# TCustomCheckCombo.Checked

Provides indexed access to the Boolean value for a check box defined in Items.

## Declaration

Source position: comboex.pas line 325

`public property TCustomCheckCombo.Checked[AIndex: Integer] : Boolean read GetChecked write SetChecked;`

## Description

Checked is an indexed Boolean property which provides access to the checked state for a check box item defined in the control. AIndex specifies the ordinal position in Items for the check box. Checked uses the value from the TCheckComboItemState object stored in the Items property. True indicates that TCheckComboItemState.Checked contains the value cbChecked. False indicates that it contains the value cbUnchecked.

Changing the value for the property causes the OnItemChange event handler to be signalled, and the Invalidate method is called when AIndex is also the selected ItemIndex for the control.